Skip to main content

POST /moto/api/v1/query

Request​

Payload

  • request_id_list (array): Identifier of the operation to be queried. This can be found in the real_uuid_map object in the initial request response, with the order of the operation to query as the key. Multiple operations can be queried in the same call.

Response​

Payload

In the response to the query, the payload object will contain a list with the statuses of the queried operations. For each order:

  • order_operation (object):
    • expired (boolean): True if the generated link has expired.

    • operation_type (enum[string]): Indicates the type of operation defined in the initial call.

    • finished (boolean): True if the operation has been completed.

    • status (enum[string]):

      ParameterDescription
      initialData structure created with the provided data.
      sent_formThe request has been sent to the user.
      openedThe user has opened the link.
      form_filledThe user has submitted the form.
      3ds_startedThe user has started the 3DS process (assuming 3DS authentication has been chosen).
      3ds_okThe 3DS process has been successful.
      3ds_koThe 3DS process has failed.
      confirm_startedThe confirmation of the sale has been initiated.
      confirm_okThe sale confirmation has been successful.
      confirm_koThe sale confirmation has not been completed.
      sent_resultAn attempt has been made to send a result email to the user.
      cb_okThe call to the URL indicated in url_callback has been completed successfully.
      cb_koThe call to the URL indicated in url_callback has encountered an error.

Examples​

  • Request
{
"key": "{{key}}",
"nonce": "{{nonce}}",
"mode": "sha256",
"resource": "{{resource}}",
"payload": {
"request_id_list": ["1a283efc-e0d6-11ec-b3ab-0242ac110024"]
}
}
  • Response
{
"type": "app.status",
"code": "0",
"detail": "Success",
"payload": {
"1a283efc-e0d6-11ec-b3ab-0242ac110024": {
"expired": false,
"operation_type": "sell",
"finished": false,
"status": [
"initial",
"sent_form"
]
}
},
"request_id": "6297422afca3a4d8081e65d9",
"uuid": "6297422afca3a4d8081e65d9"
}